import "../button/Button";
import { LitElement, PropertyValues } from "lit";
export declare namespace InputFile {
    class ELEMENT extends LitElement {
        acceptLanguage: string;
        getLocalization: string;
        input: HTMLInputElement;
        private acceptTypes;
        private fileName;
        static get styles(): import("lit").CSSResult[];
        triggerFileLoad(event: MouseEvent): void;
        handleFile(event: Event): Promise<void>;
        private readFile;
        private importLanguage;
        private getAllAcceptTypes;
        private setAcceptTypes;
        protected updated(changedProperties: PropertyValues): void;
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-input-file": InputFile.ELEMENT;
    }
}
